File
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
POST | |
POST | |
POST | |
POST | |
GET | |
POST | |
GET | |
POST | |
GET |
List all file system
Required API key scopes
file_system:readQuery parameters
- include_content_typebooleanDefault:
false - include_tagsbooleanDefault:
false - limitinteger
- offsetinteger
- searchstring
Response
Example request
GET /api /projects /:project_id /file_systemExample response
Status 200
RESPONSE
Create file system
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Response
Example request
POST /api /projects /:project_id /file_systemExample response
Status 201
RESPONSE
Retrieve file system
Required API key scopes
file_system:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /file_system /:idExample response
Status 200
RESPONSE
Update file system
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Response
Example request
PATCH /api /projects /:project_id /file_system /:idExample response
Status 200
RESPONSE
Delete file system
Required API key scopes
file_system:writePath parameters
- idstring
Query parameters
- recursivebooleanDefault:
true
Example request
DELETE /api /projects /:project_id /file_system /:idExample response
Status 204 No response body
Create file system count
Get count of all files in a folder.
Required API key scopes
file_system:readPath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /:id /countExample response
Status 200 No response body
Create file system link
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /:id /linkExample response
Status 200 No response body
Create file system move
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /:id /moveExample response
Status 200 No response body
Create file system count by path
Get count of all files in a folder.
Required API key scopes
file_system:readRequest parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /count_by_pathExample response
Status 200 No response body
Create file system home folder
Required API key scopes
file_system:writeResponse
Example request
POST /api /projects /:project_id /file_system /home_folderExample response
Status 200
RESPONSE
Retrieve file system log view
Required API key scopes
file_system:writeExample request
GET /api /projects /:project_id /file_system /log_viewExample response
Status 200 No response body
Create file system log view
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /log_viewExample response
Status 200 No response body
Retrieve file system search
Ranks entries by words matched, typos, word proximity, name before folder, exact words, word position, exactness, the user's recent views, and recency.
Required API key scopes
file_system:readQuery parameters
- limitintegerDefault:
50 - per_typeintegerDefault:
0 - searchstring
Response
Example request
GET /api /projects /:project_id /file_system /searchExample response
Status 200
RESPONSE
Create file system undo delete
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstring | null
- hrefstring | null
- meta
- shortcutboolean | null
Example request
POST /api /projects /:project_id /file_system /undo_deleteExample response
Status 200 No response body
Retrieve file system unfiled
Required API key scopes
file_system:readExample request
GET /api /projects /:project_id /file_system /unfiled










